NSX-T Data Center REST API
Associated URIs:
| API Description | API Path |
|---|---|
Get PolicyContextProfilesGet all PolicyContextProfiles |
GET /policy/api/v1/infra/context-profiles
GET /policy/api/v1/global-infra/context-profiles GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles |
Delete Policy Context ProfileDeletes the specified Policy Context Profile. If the Policy Context Profile is consumed in a firewall rule, it won't get deleted. |
DELETE /policy/api/v1/infra/context-profiles/{context-profile-id}
DELETE /policy/api/v1/global-infra/context-profiles/{context-profile-id} DELETE /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/{context-profile-id} |
Get PolicyContextProfileGet a single PolicyContextProfile by id |
GET /policy/api/v1/infra/context-profiles/{context-profile-id}
GET /policy/api/v1/global-infra/context-profiles/{context-profile-id} GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/{context-profile-id} |
Create or partially update a Policy Context ProfileCreates a new Policy Context Profile or selectively updates the fields provided in the request body of an existing one. Rules for using attributes and sub-attributes in a single PolicyContextProfile: 1. Each attribute key may appear only once per profile. (e.g. APP_ID can be specified at most once.) 2. Multiple values for an attribute must be supplied as an array. 3. When sub-attributes are provided for an attribute, that attribute must have exactly one value. 4. The reserved id "custom_attributes" must not be used as a profile id. |
PATCH /policy/api/v1/infra/context-profiles/{context-profile-id}
PATCH /policy/api/v1/global-infra/context-profiles/{context-profile-id} PATCH /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/{context-profile-id} |
Create or replace a Policy Context ProfileCreates a new Policy Context Profile or fully replaces an existing one. The entire profile is replaced with the contents of the request body; any fields not included in the request will be reset to their defaults. Rules for using attributes and sub-attributes in a single PolicyContextProfile: 1. Each attribute key may appear only once per profile. (e.g. APP_ID can be specified at most once.) 2. Multiple values for an attribute must be supplied as an array. 3. When sub-attributes are provided for an attribute, that attribute must have exactly one value. 4. The reserved id "custom_attributes" must not be used as a profile id. |
PUT /policy/api/v1/infra/context-profiles/{context-profile-id}
PUT /policy/api/v1/global-infra/context-profiles/{context-profile-id} PUT /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/{context-profile-id} |
List Context Profile supported attribute typesReturns supported attribute type strings for Context Profile. |
GET /policy/api/v1/infra/context-profiles/attribute-types
|
List Policy Context Profile supported attributes and sub-attributesReturns supported attributes and sub-attributes along with their allowed values. When an attribute_key query parameter is supplied, only the matching attribute and its sub-attributes are returned. When omitted, all supported attribute keys and their corresponding values are returned. |
GET /policy/api/v1/infra/context-profiles/attributes
GET /policy/api/v1/global-infra/context-profiles/attributes GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/attributes |
Update custom object attribute value list for given attribute keyThis API updates custom attribute value list for given key. |
PATCH /policy/api/v1/infra/context-profiles/custom-attributes
(Deprecated)
PATCH /policy/api/v1/global-infra/context-profiles/custom-attributes (Deprecated) PATCH /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/custom-attributes (Deprecated) |
Adds/Removes custom attribute values from listThis API adds/removes custom attribute values from list for a given attribute key. |
POST /policy/api/v1/infra/context-profiles/custom-attributes
(Deprecated)
POST /policy/api/v1/global-infra/context-profiles/custom-attributes (Deprecated) POST /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/custom-attributes (Deprecated) |
Retrieves custom attribute values for given attribute keyThis API lists all the custom attribute values defined in the system for the attribute_key mentioned as part of the url. |
GET /policy/api/v1/infra/context-profiles/custom-attributes/default
GET /policy/api/v1/global-infra/context-profiles/custom-attributes/default GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/custom-attributes/default |
Update custom attribute value list for given attribute key.This API updates custom attribute value list for given key in the request. This replaces the existing list with the list provided in the request |
PATCH /policy/api/v1/infra/context-profiles/custom-attributes/default
PATCH /policy/api/v1/global-infra/context-profiles/custom-attributes/default PATCH /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/custom-attributes/default |
Adds/Removes custom attribute values from listThis API adds/removes custom attribute values from list for a given attribute key. The values in the request will be added or removed from the existing list. |
POST /policy/api/v1/infra/context-profiles/custom-attributes/default
POST /policy/api/v1/global-infra/context-profiles/custom-attributes/default POST /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/context-profiles/custom-attributes/default |